Package Gnumed :: Package wxpython :: Module gmMacro |
[frames] | no frames]

# Module gmMacro

source code

GNUmed macro primitives.

This module implements functions a macro can legally use.

Author: K.Hilbert <karsten.hilbert@gmx.net>

Classes
| gmPlaceholderHandler Returns values for placeholders.
| cMacroPrimitives Functions a macro can legally use.

Functions
show_placeholders() | source code
test_placeholders() | source code

Variables
| known_injectable_placeholders = `['form_name_long', 'form_name_`...``
| known_variant_placeholders = `__known_variant_placeholders.keys()`
| default_placeholder_regex = `r'\$<[^<:]+::.*?::\d*?>\$|\$<[^<:]`...``
| first_pass_placeholder_regex = `r'|'.join([r'\$<[^<:]+::.*?(?=:`...``
| second_pass_placeholder_regex = `r'|'.join([r'\$<<[^<:]+?::.*?(`...``
| third_pass_placeholder_regex = `r'|'.join([r'\$<<<[^<:]+?::.*?(`...``
| default_placeholder_start = `'$<'`
| default_placeholder_end = `'>$'`

Imports: sys, time, random, types, logging, os, io, datetime, urllib, codecs, regex, wx, gmI18N, gmGuiBroker, gmTools, gmBorg, gmExceptions, gmCfg2, gmDateTime, gmMimeLib, gmShellAPI, gmCrypto, gmPerson, gmStaff, gmDemographicRecord, gmMedication, gmPathLab, gmPersonSearch, gmVaccination, gmKeywordExpansion, gmPraxis, gmGuiHelpers, gmNarrativeWorkflows, gmPatSearchWidgets, gmPersonContactWidgets, gmPlugin, gmEMRStructWidgets, gmEncounterWidgets, gmListWidgets, gmDemographicsWidgets, gmDocumentWidgets, gmKeywordExpansionWidgets, gmPraxisWidgets, gmAddressWidgets

Variables Details

  ### known_injectable_placeholders Value:
      ['form_name_long', 'form_name_short', 'form_version', 'form_version_in
      ternal', 'form_last_modified']

  ### default_placeholder_regex Value:
      r'\$<[^<:]+::.*?::\d*?>\$|\$<[^<:]+::.*?::\d+-\d+>\$'

  ### first_pass_placeholder_regex Value:
      r'|'.join([r'\$<[^<:]+::.*?(?=::\d*?>\$)::\d*?>\$', r'\$<[^<:]+::.*?(?
      =::\d+-\d+>\$)::\d+-\d+>\$'])

  ### second_pass_placeholder_regex Value:
      r'|'.join([r'\$<<[^<:]+?::.*?(?=::\d*?>>\$)::\d*?>>\$', r'\$<<[^<:]+?:
      :.*?(?=::\d+-\d+>>\$)::\d+-\d+>>\$'])

  ### third_pass_placeholder_regex Value:
      r'|'.join([r'\$<<<[^<:]+?::.*?(?=::\d*?>>>\$)::\d*?>>>\$', r'\$<<<[^<:
      ]+?::.*?(?=::\d+-\d+>>>\$)::\d+-\d+>>>\$'])